
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>为什么SQL Server使用很少的内存 / iVAN</title>

    <meta name="description" content="为什么SQL Server使用很少的内存 SQL Server的内存一直上不去.从Task Schedule中看到SQL Server只使用了88MB内存,实际这台机器有12GB的内存,可用内存有超过8GB. 当时我以为是开启了AWE导致的,所以连接到他的服务器看了一下.但是数据库为2005企业版64位,所以不用开启AWE.而且即使开启了,也会被忽略. 使用下面的脚本查询了一下SQL Server内存使用: select physical_memory_in_use_kb,locked_page_allocations_kb,*from">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">为什么SQL Server使用很少的内存</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>　　SQL Server的内存一直上不去。从Task Schedule中看到SQL Server只使用了88MB内存，实际这台机器有12GB的内存，可用内存有超过8GB。</p>
<p>　　当时我以为是开启了AWE导致的，所以连接到他的服务器看了一下。但是数据库为2005企业版64位，所以不用开启AWE。而且即使开启了，也会被忽略。</p>
<p>　　使用下面的脚本查询了一下SQL Server内存使用：</p>
<p>　　select physical_memory_in_use_kb,locked_page_allocations_kb,*fromsys.dm_os_process_memory</p>
<p>　　看到实际使用的内存有2GB，远远超出任务管理器看到的。(也可以通过Perfmon的Total server memory(MB)查看)。</p>
<p>　　当时觉得很奇怪，查看了SQL Server错误日志发现了类似下面的信息：</p>
<p>　　2009-06-0412:21:08.16 Server Large Page Extensions enabled.</p>
<p>　　2009-06-04 12:21:08.16 Server Large Page Granularity: 2097152</p>
<p>　　2009-06-04 12:21:08.21 Server Large Page Allocated: 32MB</p>
<p>　　猜测这台期间开启了Lock Pages In memory功能，之后得到确认。因为开启Lock Pages In memory之后，SQL Server会使用AWE APIs锁定内存页，所以这部分的内存使用不会显示在Working Set中。</p>
<p>　　So in summary the AWE APIs for 32bit and 64bit SQL Server systems are used for different purposes. In 32bit it is really to extend memory access beyond 4Gb or to enable the AWE feature. For 64bit systems, it is to possibly gain performance and to “lock pages” for the buffer pool.</p>
<p>　　到现在这个问题就比较明朗了，其实SQL Server还是正常工作的。一般查询SQL Server的使用还是建议使用DMV或者Perfmon，直接查看Working Set信息可能不准。</p>
<p>　　另外说一下，当时看到上面Large Page的信息，以为是数据库开启了LargePage，但是使用DBCC TRACSTATUS查看没有开启834 Trace Flag,所以大数据功能是没有启用的。只有开启834 Trace Flag数据库才会真正启用Large Page。</p>
<p>　　启用Large page在数据库错误日志会看到类似信息：</p>
<p>　　2009-06-0414:20:40.03 Server Using large pages for buffer pool.</p>
<p>　　关于Lock Pages In memory/working set机制我找到了两篇文章，大家有兴趣可以参考：</p>
<p>　　Funwith Locked Pages, AWE, Task Manager, and the Working Set</p>
<p>　　WhySQL Server is using so LESS memory</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 11:05:25</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/sql/" title="sql">sql</a>, <a href="https://www.iamivan.net/tag/server/" title="server">server</a>, <a href="https://www.iamivan.net/tag/%e5%86%85%e5%ad%98/" title="内存">内存</a>, <a href="https://www.iamivan.net/tag/large/" title="Large">Large</a>, <a href="https://www.iamivan.net/tag/memory/" title="memory">memory</a>, <a href="https://www.iamivan.net/tag/%e5%be%88%e5%b0%91%e4%bd%bf%e7%94%a8/" title="很少使用">很少使用</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>为什么SQL Server使用很少的内存的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlL3KLM.html" rel="bookmark">linux 内存-centos，1g内存，只有100多M可用，catched和buffers加一起很少，内存哪去了？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 centos,1g内存,只有100多M可用,catched和buffers加一起很少,内存哪去了? top - 22:48:08 up 2:26 1 user load average: 0.00 0.03 0.27Tasks: 89 total 1 running 88 sleeping 0 stopped 0 zombieCpu(s): 1.4%us 0.6%sy 0.0%ni 75.2%id 22.8%wa 0.0%hi 0.0%si 0.0%stMem: 1018600k to			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDwEKLp.html" rel="bookmark">SQL Server 数据页缓冲区的内存瓶颈分析&lowbar;MsSql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQL Server会把经常使用到的数据缓存在内存里(就是数据页缓存),用以提高数据访问速度.因为磁盘访问速度远远低于内存,所以减少磁盘访问量同样是数据库优化的重要方面. 当数据页缓存区出现内存不足,则会出现查询慢,磁盘忙等等问题. 分析方法:主要是用到性能计数器. 查看如下性能计数器: 1. SQL SERVER:Buffer Manager-Lazy Writes/sec:内存不足则会频繁调用Lazy Writer把数数据写入磁盘,此值会经常不为0. 2. SQL SERVER:Buffer			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr0jeWz.html" rel="bookmark">SQL Server 数据页缓冲区的内存瓶颈分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQL Server会把经常使用到的数据缓存在内存里(就是数据页缓存),用以提高数据访问速度.因为磁盘访问速度远远低于内存,所以减少磁盘访问量同样是数据库优化的重要方面. 当数据页缓存区出现内存不足,则会出现查询慢,磁盘忙等等问题. 分析方法:主要是用到性能计数器. 查看如下性能计数器: 1. SQL SERVER:Buffer Manager-Lazy Writes/sec:内存不足则会频繁调用Lazy Writer把数数据写入磁盘,此值会经常不为0. 2. SQL SERVER:Buffer			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRyLXab.html" rel="bookmark">SQL Server：越&OpenCurlyDoubleQuote;少&rdquo;才会越安全</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				说句实话,你公司中安装的大多数的SQL Server都可归结为以下两种中的一种.第一种类型就是安装了SQL Server的开发人员用的机器(即,多种安装类型中的一种--桌面版本,标准版本,企业版本或者明显的开发版).第二种类型就是微软的SQL Server桌面引擎(MSDE)的供各种应用程序使用的各种安装,其中包括使用MSDE作为信息存储的备份.网络管理或者其他的工具包.这两种类型的变化之中有一个共同点,就是大多数都完全不需要外在的连接,除了通过主机上驻留的应用程序. 现在,做个简单测试:有多少			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze7QlwM.html" rel="bookmark">SQL Server在AlwaysOn中使用内存表的&OpenCurlyDoubleQuote;踩坑&rdquo;记录</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 最近因为线上alwayson环境的一个数据库上使用内存表.经过大概一个星期监控程序发现了一个非常严重问题这个数据库的日志文件不会截断,已用空间一直在增加(存在定时的每个小时的日志备份),同时内存表数据库文件也无法删除,下面就介绍一下后面我的处理过程,话不多说了,来一起看看详细的介绍吧. 数据库:SQL Server2014 Enterprise Edition (64-bit) 删除文件 使用一个单独非alwayson环境的数据库测试. 一.创建内存表 ---创建内存表文件组 ALTER			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPOOlAM.html" rel="bookmark">SQL Server内存理解的误区</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQL Server内存理解 内存的读写速度要远远大于磁盘,对于数据库而言,会充分利用内存的这种优势,将数据尽可能多地从磁盘缓存到内存中,从而使数据库可以直接从内存中读写数据,减少对机械磁盘的IO请求,提高数据读写的效率. 内存对数据库而言是如此的重要,因此只要在涉及数据库优化的地方,我们都可以看到内存的身影.我们通常会想尽各种办法来优化数据库内存的使用,比如开启AWE.设置最大内存.锁定内存页等,但在很多时候,我们实际上都不知道某个配置是否一定能够解决当前的问题,或者我们误以为会解决当前的问题			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bBPDOp.html" rel="bookmark">数据库疑难讲解：改善SQL Server内存管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近,为了能在数据库服务器中运行其他应用程序,在保持数据库操作系统版本不变的前提下对数据库服务器进行了软.硬件上的升级.在软件上,将操作系统从Windows 2000升级到Windows Server 2003;在硬件上,将服务器中的内存由原来的512MB增加到1GB(1024MB). 在升级后的开始几个星期之内,服务器在使用中表现良好.但是不久后就发现,在服务器上同时运行的其他应用程序却出现了异常,不时地报出内存分配不足的警告.经过几次跟踪后发现,原来是SQL Server吞去了大部分内存所致			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qzDR2vM.html" rel="bookmark">SQL SERVER的内存会不断增加，问题分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				server|问题 SQL SERVER的内存会不断增加 当 SQL Server 数据库引擎在 Microsoft Windows NT 或 Windows 2000 上运行时,其默认内存管理行为并不是获取特定的内存量,而是在不产生多余换页 I/O 的情况下获取尽可能多的内存.为此,数据库引擎获取尽可能多的可用内存,同时保留足够的可用内存以防操作系统交换内存. SQL Server 实例在启动时通常获取 8 到 12 MB 的内存以完成初始化过程.当实例完成初始化后,就不会再获取更多的内存,直			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bal0Enz.html" rel="bookmark">改善SQL Server的内存管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近,为了能在数据库服务器中运行其他应用程序,在保持数据库操作系统版本不变的前提下对数据库服务器进行了软.硬件上的升级.在软件上,将操作系统从Windows 2000升级到Windows Server 2003:在硬件上,将服务器中的内存由原来的512MB增加到1GB(1024MB). 在升级后的开始几个星期之内,服务器在使用中表现良好.但是不久后就发现,在服务器上同时运行的其他应用程序却出现了异常,不时地报出内存分配不足的警告.经过几次跟踪后发现,原来是SQL Server吞去了大部分内存所致			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOlExb.html" rel="bookmark" class="title">在浏览器中如何把被篡改的主页恢复过来</a>
					<div>
						浏览器经常会出现&quot;主页被篡改&quot;的提示,要怎么才能把被篡改的主页恢复过来呢? Internet Explorer 9浏览器,简称IE9,是微软公司最新一款IE浏览器.北京时间2011 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6YNgb.html" rel="bookmark" class="title">现流行数据库程序开发工具的比较分析</a>
					<div>
						比较|程序|数据|数据库 [程序开发系列一]现流行数据库程序开发工具的比较分析 武汉华中师大信管系 谢刚 摘要:随着计算机技术不断发展,各种数据库编程工具也随着发展,使当今的大多数程序开发人员可以摆脱 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7w74z.html" rel="bookmark" class="title">ios-求大神为什么输出会出现负数 不加锁为什么会出现这种情况 睡眠时间对结果有什么影响</a>
					<div>
						问题描述 求大神为什么输出会出现负数 不加锁为什么会出现这种情况 睡眠时间对结果有什么影响 求大神为什么输出会出现负数 不加锁为什么会出现这种情况 睡眠时间对结果有什么影响 解决方案 你不加锁可能多个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpddmxp.html" rel="bookmark" class="title">php模拟用户自动在qq空间发表文章的方法</a>
					<div>
						我们这里是一个简单的利用php来模拟登录后再到QQ空间发送文章的一个简单的程序,有需要的朋友可以参考 &lt;?php      //模拟get post请求函数 http://www.lai18.c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnPqZb.html" rel="bookmark" class="title">新浪博客首页不收录原因</a>
					<div>
						作者的新浪博客,是在四年前开通的,刚开始记录一些生活中的点点滴滴,随后由于工作需要,开始转载一些网站建设.网络推广等相关的专业文章,拥有自己的独立博客后,又转载一些网站seo相关的文章.但是后来很长一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boeBjp.html" rel="bookmark" class="title">ASP 验证码的程序及原理</a>
					<div>
						程序|验证码 ##### 版权所有 转载请保留 谢谢合作 ##### 部分程序取自网络 ##### 作者:扬子 ##### Email: yangzinet@hotmail.com ##### QQ: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp887Zp.html" rel="bookmark" class="title">&lpar;转载&rpar;给你的FileSystemObject对象加把锁</a>
					<div>
						filesystemobject|对象 给你的FileSystemObject对象加把锁(作者:苏红超 2000年05月15日 10:34) 现在国内提供支持ASP的免费空间越来越多了,对于ASP爱好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrJ3mM.html" rel="bookmark" class="title">用Frontpage建个小窝&mdash;文字图片超链接</a>
					<div>
						frontpage|链接 文字 通过模板建立的站点和网页只是一个结构雏形,现在来打开这些网页,添加各种元素,开始建设自己的家.我们首先从主页面(index.htm)开始,这可是家的大门. 操作 认识模 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0k6Pb.html" rel="bookmark" class="title">让思维创新成为SEO行业的杀手锏</a>
					<div>
						我最近看新闻,发现各行业的竞争度也在不段增加,像电子商务.装修行业门户网站等等,这些行业都已经进入了冬季.然而SEO行业的普及也使这个行业进入了白热化了.我们如何才能在这样的困境下开辟一条新的道路,那 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PmL7M.html" rel="bookmark" class="title">spymemcached和xmemcached的性能对比</a>
					<div>
						读写简单类型 测试方法:开N个线程 ,每个线程set(或者get.delete) 10000次,表格如下(数据为tps,仅供参考) 线程数   spymemcached     xmemcached  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBonAb.html" rel="bookmark" class="title">纯CSS绘制三角形箭头效果</a>
					<div>
						  最近我想修改一下这个网站,我想在上面放置一个提示框.这是很容易,但我想让提示框上有一个三角形的箭头.可是,一想到这需要使用图片,并且各种颜色,各种方向的箭头要准备无数种,这几乎是一种灾难.幸运的是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEW8Vqp.html" rel="bookmark" class="title">js实现的复制兼容chrome和IE</a>
					<div>
						 这篇文章主要介绍了js在chrome和IE下分别实现复制,需要的朋友可以参考下 IE js代码:   代码如下: &lt;script type=&quot;text/javascript&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWGZqp.html" rel="bookmark" class="title">windows7如何对未分配的磁盘空间进行分区</a>
					<div>
						  新安装的 Windows 7 默认情况下只有C盘,需要对未分配的磁盘空间进行分区.这就需要使用到 Windows 7 中内置的磁盘管理工具. 操作步骤:  创建磁盘分区 单击&quot;开始&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwBP4M.html" rel="bookmark" class="title">原生Js页面滚动延迟加载图片实现原理及过程&lowbar;javascript技巧</a>
					<div>
						原理和过程 1.页面滚动加载事件 2.获取元素在页面里的top值 根据滚动条的位置 判断何时显示图片 3.获取元素集合 加载过的图片从集合里删除 效果预览:http://jsfiddle.net/dt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrX8AM.html" rel="bookmark" class="title">Spark与深度学习框架&mdash;&mdash;H2O、deeplearning4j、SparkNet</a>
					<div>
						引言:你可能对使用Spark服务比较感兴趣.Spark已经提供了很多功能,也有一个好用的界面,而且背后有强大的社区,开发者十分活跃,这也是人们对Spark寄予厚望的原因.深度学习是当前正在进行中的Sp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lZ7Kb.html" rel="bookmark" class="title">《HTML5&plus;JavaScript动画基础》&mdash;&mdash;2&period;5　用户交互</a>
					<div>
						2.5 用户交互 用户交互可能是你选择本书的一个重要原因.毕竟,如果没有交互或者无法对动画产生一些动态的影响,你可能就去看电影了.用户交互是基于用户事件的,这些事件通常是鼠标事件.触摸事件以及键盘事件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7eOjz.html" rel="bookmark" class="title">java多线程如何实现1加到30</a>
					<div>
						问题描述 java多线程如何实现1加到30 java如何用10个线程实现从1加到100,如果不调用join每个线程都是从21开始加到30.求解决 public class thread { publi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQr8owM.html" rel="bookmark" class="title">windows-Windows Management Instrumentation无法启动</a>
					<div>
						问题描述 Windows Management Instrumentation无法启动 Windows Management Instrumentation无法启动,依赖服务或组也无法启动,求大神解  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rN2kz.html" rel="bookmark" class="title">viewpager-在ViewPager中的图片放大缩小事件与viewPager的滑动事件冲突了</a>
					<div>
						问题描述 在ViewPager中的图片放大缩小事件与viewPager的滑动事件冲突了 我现在的状况是我在代码中写了一个图片的放大缩小,但是现在的情况是,在ViewPager中的图片要放大都放大,要是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0d4QM.html" rel="bookmark" class="title">蒙科立输入法怎么用？</a>
					<div>
						  蒙科立输入法怎么用? 1.运行蒙科立安卓输入法安装包(apk文件).运行界面如下,点击&quot;安装&quot;继续. 蒙科立输入法 2.出现如下界面,表示安装成功.点击&quot;完成&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7Q4Qp.html" rel="bookmark" class="title">用友谢志华：云平台 看得见的未来</a>
					<div>
						在科技行业流传着这样一个说法:如果汽车工业能够像计算机领域一样发展,那么今天,买一辆汽车只需要25美元,一升汽油能跑400公里.这说明IT行业的技术创新要远远快于其他行业. 2012年,IT技术发生了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWl5Vnp.html" rel="bookmark" class="title">仇家结亲优酷土豆闪婚内幕</a>
					<div>
						在&quot;资本为王&quot;的今天,&quot;文艺青年&quot;王微不情愿地收起个人情感,将自己一手打造的土豆,交给了他心中的&quot;害群之马&quot;优酷.这曾是他最忌恨的敌人. 3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rDm0z.html" rel="bookmark" class="title">c&plus;&plus;构建哈夫曼树-用c&plus;&plus;构建一个哈夫曼树</a>
					<div>
						问题描述 用c++构建一个哈夫曼树 输入字符个数,权值,打印哈夫曼树,编码和译码,源代码,可以用c-free运行的那种,求各位大神帮忙解答,要完整的代码拜托了 解决方案 http://wenku.ba ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKx05b.html" rel="bookmark" class="title">阿里聚安全企业沙龙开启第一站&mdash;&mdash;上海！满满的干货！</a>
					<div>
						5月份的上海阴雨绵绵,基本每天都在下雨,小编还一直担心因为天气原因会影响小伙伴来现场参会,结果就在开会的当天上午报名人数还在不断增加!几十人的场地瞬间让小编变大.变大.再变大! 阿里巴巴5位大拿的精彩 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBgrkz.html" rel="bookmark" class="title">浅谈javascript中的instanceof和typeof&lowbar;javascript技巧</a>
					<div>
						对于instanceof和typeof,以前偶尔的用到过,特别是typeof用到的相对更多一些,今日研究ext源码,很多地方都用到了instanceof,突然觉得他们两个有些相似但也应该有他们区别,网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwwkWM.html" rel="bookmark" class="title">Java基础之008-多线程</a>
					<div>
						Java基础之008-多线程                                        35岁学习Java 1.进程和线程的概念. 1)     概念                ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRLOZp.html" rel="bookmark" class="title">没有桌面的服务器该怎么操作</a>
					<div>
						问题描述 各位,小弟最近买了阿里云的云主机linux系统,发现没有桌面全部要用命令代码操作(感觉这样好累啊) 解决方案 解决方案二:为什么不选择windows系统解决方案三:云服务器现在提供windo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0rNKp.html" rel="bookmark" class="title">java-hibernate和struts2中遇见的问题</a>
					<div>
						问题描述 hibernate和struts2中遇见的问题 解决方案 看你struts配置文件有没有配置 users 命名空间和action标签 name属性值为 Users_*或者Users_logi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xy13b.html" rel="bookmark" class="title">阿里云ET的下一个目标：担任&OpenCurlyDoubleQuote;实习医生&OpenCurlyDoubleQuote;</a>
					<div>
						3月29日,阿里云在云栖大会·深圳峰会发布ET医疗大脑,宣布正式进入医疗AI领域. 经过一年多的研究训练,人工智能ET已具备多项医疗能力,可在患者虚拟助理.医学影像.精准医疗.药效挖掘.新药研发.健康 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYRwNb.html" rel="bookmark" class="title">研究称坐着玩智力游戏可大量消耗热量</a>
					<div>
						猜谜语或做智力题平均每小时燃烧90卡路里热量. 据新华社电 能不能一边几乎不动地坐在椅子上一边大量消耗卡路里?能!只要你在猜谜语.做数独或纵横填字等智力游戏就行. 英国科学家近日指出,连续做一小时智力 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
